# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    install_exe_if_needed('tutanota-desktop-win.exe',
        silentflags='/S /allusers',
        key='450699d2-1c81-5ee5-aec6-08dddb7af9d7',
        min_version=control.get_software_version(),
        get_version=get_version,
    )
def get_version(app_registry_dict):
    return app_registry_dict["version"]
    


